package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.Group;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author Joburgess
 * @Date 2019/12/30
 */
public interface GroupDao {


    int deleteGroup(@Param("groupId") String groupId,
                    @Param("groupType") String groupType);

    /**
     * @describe 搜索团体
     * @author Joburgess
     * @date 2019/12/30
     * @param params: 查询参数
     * @return java.util.List<com.ym.mec.biz.dal.entity.Group>
     */
    List<Group> searchGroups(Map<String, Object> params);

    /**
     * @describe 根据团体编号获取团体
     * @author Joburgess
     * @date 2019/12/30
     * @param groups: 团体列表
     * @return java.util.List<com.ym.mec.biz.dal.entity.Group>
     */
    List<Group> findByGroupIds(@Param("groups") List<Group> groups);

}
