package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.*;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.service.GroupClassService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author Joburgess
 * @Date 2020/2/17
 */
@Service
public class GroupClassServiceImpl implements GroupClassService {

    @Autowired
    private GroupDao groupDao;
    @Autowired
    private ClassGroupDao classGroupDao;
    @Autowired
    private ClassGroupTeacherMapperDao classGroupTeacherMapperDao;
    @Autowired
    private ClassGroupTeacherSalaryDao classGroupTeacherSalaryDao;
    @Autowired
    private ClassGroupStudentMapperDao classGroupStudentMapperDao;
    @Autowired
    private CourseScheduleDao courseScheduleDao;
    @Autowired
    private CourseScheduleTeacherSalaryDao courseScheduleTeacherSalaryDao;
    @Autowired
    private CourseScheduleStudentPaymentDao courseScheduleStudentPaymentDao;
    @Autowired
    private TeacherAttendanceDao teacherAttendanceDao;
    @Autowired
    private StudentAttendanceDao studentAttendanceDao;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean deleteAllGroupInfo(String groupId, GroupType groupType) {
        groupDao.deleteGroup(groupId,groupType.getCode());
        classGroupDao.deleteByGroup(groupId,groupType);
        classGroupTeacherMapperDao.deleteByGroup(groupId,groupType);
        classGroupTeacherSalaryDao.deleteByGroup(groupId,groupType);
        classGroupStudentMapperDao.deleteByGroup(groupId,groupType);
        courseScheduleDao.deleteByGroup(groupId,groupType);
        courseScheduleTeacherSalaryDao.deleteByGroup(groupId,groupType);
        courseScheduleStudentPaymentDao.deleteByGroup(groupId,groupType);
        teacherAttendanceDao.deleteByGroup(groupId,groupType);
        studentAttendanceDao.deleteByGroup(groupId,groupType);
        return true;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean deleteGroupOtherInfo(String groupId, GroupType groupType) {
        classGroupDao.deleteByGroup(groupId,groupType);
        classGroupTeacherMapperDao.deleteByGroup(groupId,groupType);
        classGroupTeacherSalaryDao.deleteByGroup(groupId,groupType);
        classGroupStudentMapperDao.deleteByGroup(groupId,groupType);
        courseScheduleDao.deleteByGroup(groupId,groupType);
        courseScheduleTeacherSalaryDao.deleteByGroup(groupId,groupType);
        courseScheduleStudentPaymentDao.deleteByGroup(groupId,groupType);
        teacherAttendanceDao.deleteByGroup(groupId,groupType);
        studentAttendanceDao.deleteByGroup(groupId,groupType);
        return true;
    }

    @Override
    public boolean cleanGroupInfo(String groupId, GroupType groupType) {

        return false;
    }
}
